Subject: Re: I: git-fetch: -n option disappeared but git-fetch(1) still describe it

From: Andreas Ericsson <[email-masked]>
Date: Thu, 13 Mar 2008 07:50:14 +0100

Johannes Schindelin wrote:
> Hi,
> 
> On Wed, 12 Mar 2008, Andreas Ericsson wrote:
> 
>> Johannes Schindelin wrote:
>>
>>> On Wed, 12 Mar 2008, Andreas Ericsson wrote:
>>>
>>>> Dmitry V. Levin wrote:
>>>>
>>>>> git-fetch builtinification (commit v1.5.3.2-93-gb888d61) 
>>>>> apparently dropped -n option (alias to --no-tags) documented in 
>>>>> Documentation/fetch-options.txt
>>>>>
>>>>> Either builtin-fetch.c or Documentation/fetch-options.txt should 
>>>>> be adjusted to sync the code with its docs.
>>>>>
>>>>> Original bug report: 
>>>>> https://bugzilla.altlinux.org/show_bug.cgi?id=14870
>>>> I have a (very) vague memory that git-fetch.sh had to iterate over 
>>>> tags one by one, making tag-heavy projects excruciatingly slow to 
>>>> fetch from with the shellscript version. Some pathological case with 
>>>> 2700 tags was presented where a fetch took nearly an hour, iirc. 
>>>> AFAIR, the builtinification (or was it a protocol extension?) 
>>>> reduced that time to something around 10 seconds for the 
>>>> pathological case.
>>> AFAIR this was helped by the fetch--tool helper, even at the time of 
>>> non-builtin fetch.
>>>
>>>> Does anyone else have a sharper memory of what caused the -n option 
>>>> to be dropped?
>>> AFAICT this was done because of the parsopt'ification.  But I forgot 
>>> the details.
>>>
>> I had a look at the code. It seems the new way of specifying -n is to 
>> say --no-tags or -t 0, or --tags=0 (although I'm not well-versed enough 
>> in the parseopt thing to be sure). I have no time now, but I'll take a 
>> stab at adding the -n option back tomorrow if nobody beats me to it.
> 
> Maybe like this (completely untested, that will be your task tomorrow):
> 

Looks like how I thought it should be. Test passed fine, both real and
automated. Proper patch incoming in a minute.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231